# Authors

The main authors of Strix are:
 - Philipp Meyer (<p.j.meyer@tum.de>)
 - Salomon Sickert (<s.sickert@tum.de>)

Additionally, Strix includes code from several other authors, which are listed here.

**Owl**
 - Source code located in [`lib/owl/owl`](lib/owl/owl).
 - Written by Salomon Sickert and Tobias Meggendorfer at the Technial University of Munich and others.
 - Available from <https://gitlab.lrz.de/i7/owl>.
 - Licensed under the GPLv3, see [`lib/owl/owl/LICENSE`](lib/owl/owl/LICENSE).

**CUDD**
 - Source code located in [`lib/cudd/c`](lib/cudd/c).
 - Written by Fabio Somenzi at the University of Colorado.
 - Modified by Philipp Meyer.
 - Original version available from <https://github.com/rakhimov/cudd>.
 - Licensed under a permissive license, see [`lib/cudd/LICENSE`](lib/cudd/LICENSE).

**AIGER**
 - Source code located in [`lib/aiger/c`](lib/aiger/c).
 - Written by Armin Biere at the Johannes Kepler University and others.
 - Available from <https://github.com/arminbiere/aiger>.
 - Licensed under a permissive license, see [`lib/aiger/LICENSE`](lib/aiger/LICENSE).

**ABC**
 - Source code located in [`lib/abc/c`](lib/abc/c).
 - Written by Alan Mishchenko at the University of California and others.
 - Modified by Philipp Meyer.
 - Original version available from <https://github.com/berkeley-abc/abc>.
 - Licensed under a permissive license, see [`lib/abc/copyright.txt`](lib/abc/copyright.txt).

**FPI parity game solver**
 - Source code in [`src/parity/solver/fpi.rs`](src/parity/solver/fpi.rs).
 - Originally written by Tom van Dijk.
 - Modified and rewritten by Philipp Meyer.
 - Original version available from <https://github.com/trolando/oink>.
 - Licensed under the Apache License 2.0.

**MeMin machine minimization**
 - Source code in [`src/controller/machine/minimization.rs`](src/controller/machine/minimization.rs).
 - Originally written by Andreas Abel at the Saarland University.
 - Modified and rewritten by Philipp Meyer.
 - Original version available from <https://github.com/andreas-abel/MeMin>.
 - Licensed under the AGPLv3.

**CFile**
 - Source code located in [`lib/cudd/src/cfile.rs`](lib/cudd/src/cfile.rs).
 - Written by Flier Lu.
 - Modified by Philipp Meyer.
 - Original version available from <https://github.com/flier/rust-cfile>.
 - Licensed under the MIT license.
